Skip to main content
PUT
Update product

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json

Update product payload

name
string
required

Product name.

Example:

"Product name"

description
string | null

Product description.

Example:

"Product internal description"

public_description
string | null

Public description of the product.

Maximum string length: 5000
Example:

"Product public description"

translations
object | null

Product name and description translations.

is_available_on_demand
boolean
is_available_on_subscription
boolean
properties
object | null
custom_properties
object

A list of key value with the slug of the custom property as the key and the custom property value as value.

accounting
object

Mapping invoicing entity ID/accounting settings.

Response

The newly created product

id
string
required

Product ID.

Example:

"itm_3kXODDF42QXtnL"

name
string
required

Product name.

Example:

"Product name"

status
enum<string>
required

Product status.

  • active: The product is active and can be used in new quotes/subscriptions/invoices.
  • archived: The product is archived and can't be used anymore.
Available options:
active,
archived
Example:

"active"

description
string | null
required

Product description.

Example:

"Product internal description"

description_display_interval_dates
boolean
required

Indicates if the dates of the interval should be automatically added in the product description on the invoices.

public_description
string | null
required

Public description of the product.

Example:

"Product public description"

translations
object | null
required

Product name and description translations.

properties
object | null
required

Key/value pairs to store any metadata useful in your context.

Example:

null

custom_properties
object
required

A list of key value with the slug of the custom property as the key and the custom property value as value.

accounting
object
required

Mapping invoicing entity ID/accounting settings.

integrations
object[]
required

References to this product in external providers (billing, accounting, etc).

type
enum<string>
required

Product type.

Available options:
flat_fee
is_available_on_demand
boolean
required
deprecated

Enable the product to be billed at any time as a one-time payment.

Example:

true

is_available_on_subscription
boolean
required
deprecated

Enable the product to be added as part of a subscription.

Example:

true

price_configurations
object[]
required